Bug 1203499 - [abrt] epiphany-runtime: g_type_check_instance_cast(): epiphany killed by SIGSEGV
Summary: [abrt] epiphany-runtime: g_type_check_instance_cast(): epiphany killed by SIG...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e7130af0edb4a9e007c65390d39...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 02:23 UTC by iliketurtlesbro
Modified: 2016-07-19 13:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:05:07 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (101.22 KB, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details
File: core_backtrace (49.35 KB, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details
File: dso_list (14.73 KB, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details
File: environ (907 bytes, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details
File: maps (79.60 KB, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details
File: open_fds (3.20 KB, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details
File: proc_pid_status (991 bytes, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details
File: var_log_messages (4.50 KB, text/plain)
2015-03-19 02:23 UTC, iliketurtlesbro
no flags Details

Description iliketurtlesbro 2015-03-19 02:23:20 UTC
Version-Release number of selected component:
epiphany-runtime-3.15.90-4.fc22

Additional info:
reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        epiphany
crash_function: g_type_check_instance_cast
executable:     /usr/bin/epiphany
kernel:         4.0.0-0.rc3.git0.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_cast at gtype.c:4060
 #1 window_focus_out at gtkpopover.c:391
 #2 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #7 gtk_widget_event_internal at gtkwidget.c:7787
 #8 gtk_main_do_event at gtkmain.c:1703
 #13 g_main_context_iteration at gmain.c:3869
 #14 g_application_run at gapplication.c:2308

Comment 1 iliketurtlesbro 2015-03-19 02:23:23 UTC
Created attachment 1003553 [details]
File: backtrace

Comment 2 iliketurtlesbro 2015-03-19 02:23:24 UTC
Created attachment 1003554 [details]
File: cgroup

Comment 3 iliketurtlesbro 2015-03-19 02:23:25 UTC
Created attachment 1003555 [details]
File: core_backtrace

Comment 4 iliketurtlesbro 2015-03-19 02:23:27 UTC
Created attachment 1003556 [details]
File: dso_list

Comment 5 iliketurtlesbro 2015-03-19 02:23:28 UTC
Created attachment 1003557 [details]
File: environ

Comment 6 iliketurtlesbro 2015-03-19 02:23:28 UTC
Created attachment 1003558 [details]
File: limits

Comment 7 iliketurtlesbro 2015-03-19 02:23:30 UTC
Created attachment 1003559 [details]
File: maps

Comment 8 iliketurtlesbro 2015-03-19 02:23:31 UTC
Created attachment 1003560 [details]
File: open_fds

Comment 9 iliketurtlesbro 2015-03-19 02:23:32 UTC
Created attachment 1003561 [details]
File: proc_pid_status

Comment 10 iliketurtlesbro 2015-03-19 02:23:33 UTC
Created attachment 1003562 [details]
File: var_log_messages

Comment 11 Michael Catanzaro 2015-04-04 20:09:56 UTC
Also reported against California and Nautilus, so most likely a GTK+ bug.

Comment 12 Matthias Clasen 2015-04-09 00:22:34 UTC
Suggested fix here:

https://bugzilla.gnome.org/show_bug.cgi?id=747539

Comment 13 Fedora Update System 2015-04-09 13:08:04 UTC
gtk3-3.14.12-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk3-3.14.12-1.fc21

Comment 14 Fedora Update System 2015-04-10 07:31:01 UTC
Package gtk3-3.14.12-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.14.12-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5920/gtk3-3.14.12-1.fc21
then log in and leave karma (feedback).

Comment 15 Fedora End Of Life 2016-07-19 13:05:07 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.